
Redmine - Defect #6674

Delete time log broken after changes to REST

2010-10-14 15:28 - Robert Cigán

Status: Closed Start date: 2010-10-14

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Time tracking Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed Affected version:  

Description

Using a master branch - on the edge

A ActionController::MethodNotAllowed occurred in application#index:

Only get, put, and delete requests are allowed.

  /opt/ruby-enterprise/lib/ruby/gems/1.8/gems/actionpack-2.3.5/lib/action_controller/routing/recog

nition_optimisation.rb:64:in `recognize_path'

 -------------------------------

Request:

-------------------------------

URL       /time_entries/1569

Associated revisions

Revision 4259 - 2010-10-16 01:37 - Eric Davis

Use HTTP DELETE when deleting a time entry. #6674

History

#1 - 2010-10-14 19:35 - Felix Schäfer

- Assignee set to Eric Davis

- Priority changed from High to Normal

If this was in the "timelog" block on "My page", this diff should fix it:

diff --git a/app/views/my/blocks/_timelog.rhtml b/app/views/my/blocks/_timelog.rhtml

index fdff465..e373535 100644

--- a/app/views/my/blocks/_timelog.rhtml

+++ b/app/views/my/blocks/_timelog.rhtml

@@ -40,7 +40,7 @@ entries_by_day = entries.group_by(&:spent_on)

                                            :title => l(:button_edit) %>

         <%= link_to image_tag('delete.png'), {:controller => 'timelog', :action => 'destroy', :id => entry},

                                              :confirm => l(:text_are_you_sure),

-                                             :method => :post,

+                                             :method => :delete,

                                              :title => l(:button_delete) %>

     <% end -%>

     </td>

 If this was not on that page, please specify where you got this error from.

#2 - 2010-10-15 03:08 - Eric Davis

- Affected version (unused) set to devel

Thanks, I'll look into it.

#3 - 2010-10-15 09:20 - Robert Cigán

Thx, that helped. It does not work in timesheet plugin as well, so you might want to do the fix there as well.

2025-05-02 1/2



#4 - 2010-10-16 01:31 - Eric Davis

- Status changed from New to Closed

- Target version set to 1.1.0

- Resolution set to Fixed

Fixed in r4259
